### Virtual Method

# Camel StreamBuffer init

#### Declaration [src]

    void
    init (
      CamelStreamBuffer* stream_buffer,
      CamelStream* stream,
      CamelStreamBufferMode mode
    )

#### Description

No description available.

#### Parameters

`stream`

  Type: `CamelStream`

  No description available.

  The data is owned by the caller of the method.

`mode`

  Type: `CamelStreamBufferMode`

  No description available.